Subject: Re: bug#19902: 25.0.50; [PATCH] Make eww entry point more info-like

From: Mark Oteiza <[email-masked]>
Date: Thu, 19 Feb 2015 10:51:45 -0500

Ivan Shmakov <[email-masked]> writes:

>>>>>> Mark Oteiza <[email-masked]> writes:
>  > +  (interactive
>  > +   (let ((buf (get-buffer (if (numberp current-prefix-arg)
>  > +                              (format "*eww*<%s>" current-prefix-arg)
>  > +                            "*eww*"))))
>  > +     (list (unless buf (read-string "Enter URL or keywords: "))
>  > +           buf)))
>
> 	… Except for this part, which essentially reintroduces #19106;
> 	see [1].  I presume that for this reason, the new ‘eww’ command
> 	should call ‘eww-suggested-uris’ just like the old one does.
>
> [1] http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19106#msg8

Hm, good catch.  I'm not sure how this should fit in. Perhaps
`eww-suggested-uris' should be the behaviour behind the non-numeric
prefix (C-u)?